// ------------------------------------------------------------------------------
// Slopes - http://www.arkitus.com
// Copyright (C) 2005  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Slopes.java
// Procedures related to starting up the program and adjusting the settings
// are in this file.
// ------------------------------------------------------------------------------

int num_b = 100;
int num_o = 4;
Ball[] Balls;
Obstacle[] Obstacles;

void setup()   
{
  size(800,420);                   
  framerate(120);                    
  colorMode(RGB, 255);              
  smooth();      
  reset();
}

void draw()                         
{
  // Clear the screen
  background(255, 255, 255);
  
  // Update and draw the balls         
  for ( int i=0; i<num_b; i++ )     
  { 
    Balls[i].fall();                  
    Balls[i].bounce();              
    Balls[i].move();                 
    Balls[i].display();          
  }
  
  // Draw the obstacles
  for ( int i=0; i<num_o; i++ )     
  {
    Obstacles[i].display();         
  }
}

void mousePressed()
{
  reset();                        
}

void reset()
{ 
  // Reset the balls' positions 
  Balls = new Ball[num_b];
  for ( int i=0; i<num_b; i++ )      
  {
    Balls[i] = new Ball();
  }
  
  // Create the obstacles
  Obstacles = new Obstacle[num_o];
  Obstacles[0] = new Obstacle(200,100,400,200);
  Obstacles[1] = new Obstacle(400,250,600,150);
  Obstacles[2] = new Obstacle(200,200,400,300);
  Obstacles[3] = new Obstacle(350,375,600,250);
}
    
